Subject: Re: bug#39883: 28.0.50; macOS blank frame

From: Ashish SHUKLA <[email-masked]>
Date: Wed, 1 Apr 2020 09:51:37 +0530

On 3/31/20 10:22 PM, Alan Third wrote:
> On Mon, Mar 30, 2020 at 01:24:59AM +0530, Ashish SHUKLA wrote:
>>
>> It seems like building with same configure flags, but outside nix causes
>> issue to disappear. So, maybe it's something to do with the nix environment.
> 
> Nix used to use headers from macOS 10.10 or thereabouts, even on newer
> versions of macOS. I don’t know if this is still the case. The problem
> is that our compile‐time feature detection code detects the wrong
> features as a result.
> 
> Could you perhaps try changing src/nsterm.h so that this:
> 
> #define NS_DRAW_TO_BUFFER 1
> 
> is always defined? You should be able to just delete or comment out
> the #if and #endif.
> 
> I don’t know how easy that is for you with Nix, hopefully it’s pretty
> straight forward.
> 

Hi Alan,

It turns out after deleting those lines the problem is resolved. I will
investigate on Nix side, what went wrong.

Thank you, and I really appreciate your help.

-- 
Ashish SHUKLA | GPG: F682CDCC39DC0FEAE11620B6C746CFA9E74FA4B0

“Indians will believe anything told to them anyway. And besides for the
doubters, there's $%^#~@~~ CARRIER LOST” (Joseph Koshy)